import 'package:flutter/material.dart';
import 'package:request_install_packages/request_install_packages.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String text = '';
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: Text('Plugin example app $text'),
        ),
        body: GestureDetector(
          onTap: () async {
            var a = await RequestInstallPackages.check();
            setState(() {
              text = a.toString();
            });
          },
          onDoubleTap: () async {
            var b = await RequestInstallPackages.request();
            setState(() {
              text = b.toString();
            });
          },
          child: Center(
            child: Text('Running on:'),
          ),
        ),
      ),
    );
  }
}
